#
# spec file for package python-zetup
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zetup
Version:        0.2.43
Release:        2.53
Summary:        Project setups tools
License:        LGPL-3.0-only
Group:          Development/Languages/Python
URL:            https://github.com/zimmermanncode/zetup
Source:         https://files.pythonhosted.org/packages/source/z/zetup/zetup-%{version}.tar.gz
BuildRequires:  %{python_module jupyter_nbconvert >= 5.2}
BuildRequires:  %{python_module path.py >= 10.3}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools_scm >= 2.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires(post): update-alternatives
Requires(postun): update-alternatives
Recommends:     python-jinjatools >= 0.1.7
Recommends:     python-jupyter_nbconvert >= 5.2
Recommends:     python-path.py >= 10.3
Recommends:     python-pytest
BuildArch:      noarch
%python_subpackages

%description
Zimmermann's Extensible Tools for Unified Project setups

%prep
%setup -q -n zetup-%{version}
sed -i 's/\r$//' README.rst
sed -i 's/\r$//' zetup/script.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%python_clone -a %{buildroot}%{_bindir}/zetup

%check
export PYTHONDONTWRITEBYTECODE=1
# test_python - checks if python is set by maintainer to be supported, bogus
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
py.test-%{$python_bin_suffix} test/ -k 'not test_python'
}

%post
%python_install_alternative zetup

%postun
%python_uninstall_alternative zetup

%files %{python_files}
%doc README.ipynb README.md README.rst
%license COPYING COPYING.LESSER
%python_alternative %{_bindir}/zetup
%{python_sitelib}/*

%changelog
* Wed Aug 29 2018 tchvatal@suse.com
- Update to 0.2.43:
  * Various entry point fixes
* Thu May  3 2018 toddrme2178@gmail.com
- Use %%license tag
* Thu Oct 19 2017 toddrme2178@gmail.com
- Initial version
